Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058043 - network connection randomly stops working [NEEDINFO]
Summary: network connection randomly stops working
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1058040 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 17:36 UTC by barry
Modified: 2015-06-29 14:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:46:41 UTC
jklimes: needinfo? (bkmyrvold)


Attachments (Terms of Use)

Description barry 2014-01-26 17:36:04 UTC
Description of problem:
my network connection stops working randomly after several hours running.  

Version-Release number of selected component (if applicable):
up to date Fedora 20

How reproducible:
Stops randomly usually after a few hours - does not seem to be related to any particular activity.  

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Here's some output from my various logs
tail -f /var/log/messages
Jan 26 09:56:44 reboot dhclient[965]: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0x2b86a4d4)
Jan 26 09:56:45 reboot NetworkManager: DHCPREQUEST on enp0s25 to 255.255.255.255 port 67 (xid=0x2b86a4d4)
Jan 26 09:57:02 reboot avahi-daemon[451]: Withdrawing address record for 192.168.1.25 on enp0s25.
Jan 26 09:57:02 reboot avahi-daemon[451]: Leaving mDNS multicast group on interface enp0s25.IPv4 with address 192.168.1.25.
Jan 26 09:57:02 reboot avahi-daemon[451]: Interface enp0s25.IPv4 no longer relevant for mDNS.
Jan 26 09:57:04 reboot NetworkManager: Error: could not connect to NetworkManager DBus socket: (org.freedesktop.DBus.Error.NoServer) Failed to connect to socket /var/run/NetworkManager/private-dhcp: Connection refused
Jan 26 09:57:04 reboot NetworkManager: Fatal error occured, killing dhclient instance with pid 965.
Jan 26 09:57:04 reboot NetworkManager[590]: <info> (enp0s25): DHCPv4 client pid 965 exited with status -1
Jan 26 09:57:04 reboot NetworkManager[590]: <warn> DHCP client died abnormally
 Jan 26 10:05:34 reboot systemd: Starting LSB: Bring up/down networking...
Jan 26 10:05:34 reboot NetworkManager[590]: <info> (enp0s25): disconnecting for new activation request.
Jan 26 10:05:34 reboot NetworkManager[590]: <info> (enp0s25): device state change: ip-config -> disconnected (reason 'none') [70 30 0]
Jan 26 10:05:34 reboot NetworkManager[590]: <info> (enp0s25): deactivating device (reason 'none') [0]
Jan 26 10:05:34 reboot NetworkManager[590]: <info> NetworkManager state is now DISCONNECTED
Jan 26 10:05:34 reboot NetworkManager[590]: <info> Activation (enp0s25) starting connection 'enp0s25'
Jan 26 10:05:34 reboot NetworkManager[590]: <info> (enp0s25): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jan 26 10:05:34 reboot NetworkManager[590]: <info> NetworkManager state is now CONNECTING
Jan 26 10:05:34 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 1 of 5 (Device Prepare) scheduled...
Jan 26 10:05:34 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 1 of 5 (Device Prepare) started...
Jan 26 10:05:34 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 2 of 5 (Device Configure) scheduled...
Jan 26 10:05:34 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 1 of 5 (Device Prepare) complete.
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 2 of 5 (Device Configure) starting...
Jan 26 10:05:35 reboot NetworkManager[590]: <info> (enp0s25): device state change: prepare -> config (reason 'none') [40 50 0]
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 2 of 5 (Device Configure) successful.
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 2 of 5 (Device Configure) complete.
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 3 of 5 (IP Configure Start) scheduled.
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 3 of 5 (IP Configure Start) started...
Jan 26 10:05:35 reboot NetworkManager[590]: <info> (enp0s25): device state change: config -> ip-config (reason 'none') [50 70 0]
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Beginning DHCPv4 transaction (timeout in 45 seconds)
Jan 26 10:05:35 reboot network: Bringing up loopback interface:  [  OK  ]
Jan 26 10:05:35 reboot NetworkManager[590]: <info> dhclient started with pid 13456
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 3 of 5 (IP Configure Start) complete.
Jan 26 10:05:35 reboot dhclient[13456]: Internet Systems Consortium DHCP Client 4.2.5
Jan 26 10:05:35 reboot dhclient[13456]: Copyright 2004-2013 Internet Systems Consortium.
Jan 26 10:05:35 reboot dhclient[13456]: All rights reserved.
Jan 26 10:05:35 reboot dhclient[13456]: For info, please visit https://www.isc.org/software/dhcp/
Jan 26 10:05:35 reboot dhclient[13456]: 
Jan 26 10:05:35 reboot NetworkManager[590]: <info> (enp0s25): DHCPv4 client pid 13456 exited with status -1
Jan 26 10:05:35 reboot NetworkManager[590]: <warn> DHCP client died abnormally
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 4 of 5 (IPv4 Configure Timeout) scheduled...
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 4 of 5 (IPv4 Configure Timeout) started...
Jan 26 10:05:35 reboot NetworkManager[590]: <info> Activation (enp0s25) Stage 4 of 5 (IPv4 Configure Timeout) complete.
Jan 26 10:05:35 reboot NetworkManager: Internet Systems Consortium DHCP Client 4.2.5
Jan 26 10:05:35 reboot NetworkManager: Copyright 2004-2013 Internet Systems Consortium.
Jan 26 10:05:35 reboot NetworkManager: All rights reserved.
Jan 26 10:05:35 reboot NetworkManager: For info, please visit https://www.isc.org/software/dhcp/
Jan 26 10:05:35 reboot NetworkManager: Error: could not connect to NetworkManager DBus socket: (org.freedesktop.DBus.Error.NoServer) Failed to connect to socket /var/run/NetworkManager/private-dhcp: Connection refused
Jan 26 10:05:35 reboot NetworkManager: Fatal error occured, killing dhclient instance with pid 13456.
Jan 26 10:06:10 reboot systemd: Starting dnf makecache...
Jan 26 10:06:11 reboot dnf: Config time: 0.007
Jan 26 10:06:11 reboot dnf: cachedir: /var/cache/dnf/x86_64/20
Jan 26 10:06:11 reboot dnf: dnf version: 0.4.12
Jan 26 10:06:11 reboot dnf: Making cache files for all metadata files.
Jan 26 10:06:11 reboot dnf: fedora: will expire after 342569 seconds.
Jan 26 10:06:11 reboot dnf: rpmfusion-free-updates: will expire after 20014 seconds.
Jan 26 10:06:11 reboot dnf: adobe-linux-x86_64: will expire after 20014 seconds.
Jan 26 10:06:11 reboot dnf: rpmfusion-nonfree-updates: will expire after 20015 seconds.
Jan 26 10:06:11 reboot dnf: rpmfusion-free: will expire after 342571 seconds.
Jan 26 10:06:11 reboot dnf: adobe-linux-i386: will expire after 20015 seconds.
Jan 26 10:06:11 reboot dnf: updates: will expire after 30825 seconds.
....
Jan 26 10:07:05 reboot network: Bringing up interface enp0s25:  Error: Timeout 90 sec expired.
Jan 26 10:07:05 reboot network: [FAILED]
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot network: RTNETLINK answers: File exists
Jan 26 10:07:05 reboot systemd: network.service: control process exited, code=exited status=1
Jan 26 10:07:05 reboot systemd: Failed to start LSB: Bring up/down networking.
Jan 26 10:07:05 reboot systemd: Unit network.service entered failed state.

dmesg | grep eth0
[    8.462894] e1000e 0000:00:19.0 eth0: (PCI Express:2.5GT/s:Width x1) 00:1d:09:91:1a:f1
[    8.462898] e1000e 0000:00:19.0 eth0: Intel(R) PRO/10/100 Network Connection
[    8.462920] e1000e 0000:00:19.0 eth0: MAC: 7, PHY: 7, PBA No: FFFFFF-0FF
[    8.525153] systemd-udevd[325]: renamed network interface eth0 to enp0s25

dmesg | grep enp0s25
[    8.525153] systemd-udevd[325]: renamed network interface eth0 to enp0s25
[   42.725244] IPv6: ADDRCONF(NETDEV_UP): enp0s25: link is not ready
[   44.159775] e1000e: enp0s25 NIC Link is Up 100 Mbps Full Duplex, Flow Control: Rx/Tx
[   44.159784] e1000e 0000:00:19.0 enp0s25: 10/100 speed: disabling TSO
[   44.159816] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s25: link becomes ready

Comment 1 Jirka Klimes 2014-01-29 14:41:58 UTC
*** Bug 1058040 has been marked as a duplicate of this bug. ***

Comment 2 Jirka Klimes 2014-01-29 15:15:50 UTC
Jan 26 09:57:04 reboot NetworkManager: Error: could not connect to NetworkManager DBus socket: (org.freedesktop.DBus.Error.NoServer) Failed to connect to socket /var/run/NetworkManager/private-dhcp: Connection refused
Jan 26 09:57:04 reboot NetworkManager: Fatal error occured, killing dhclient instance with pid 965.

There is a problem with DHCP helper to connect to NetworkManager.
Can you report your versions of NM and dhclient:
rpm -q NetworkManager
rpm -q dhclient

The problem might be caused by SELinux. Do you see any SELinux denials?
# ausearch -m avc -ts recent

Try to disable SELinux if that helps:
# setenforce Permissive
or
# setenforce 0

Comment 3 Fedora End Of Life 2015-05-29 10:41:22 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 14:46:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.